Package org.eclipse.emf.cdo.expressions

## Interface Expression

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `Access`, `BooleanValue`, `ByteValue`, `CharValue`, `ContainedObject`, `ContextAccess`, `DoubleValue`, `FloatValue`, `FunctionInvocation`, `IntValue`, `Invocation`, `LinkedExpression`, `LinkedObject`, `ListConstruction`, `LongValue`, `MemberAccess`, `MemberInvocation`, `ShortValue`, `StaticAccess`, `StringValue`, `Value`
  All Known Implementing Classes:
    `AccessImpl`, `BooleanValueImpl`, `ByteValueImpl`, `CharValueImpl`, `ContainedObjectImpl`, `ContextAccessImpl`, `DoubleValueImpl`, `FloatValueImpl`, `FunctionInvocationImpl`, `IntValueImpl`, `InvocationImpl`, `LinkedExpressionImpl`, `LinkedObjectImpl`, `ListConstructionImpl`, `LongValueImpl`, `MemberAccessImpl`, `MemberInvocationImpl`, `ShortValueImpl`, `StaticAccessImpl`, `StringValueImpl`, `ValueImpl`

      public interface Expression
      extends CDOObject

  A representation of the model object 'Expression'.
  See Also:
    `ExpressionsPackage.getExpression()`
  Generated
  Extends
    CDOObject
  Model
    interface="true" abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `evaluate​(EvaluationContext context)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### evaluate

          java.lang.Object evaluate​(EvaluationContext context)

      Generated
      Model
        contextDataType="org.eclipse.emf.cdo.expressions.EvaluationContext"